SystemOrganization addCategory: #'OCMSTest-Database'!

TestCase subclass: #CoursewaresTest
	instanceVariableNames: 'coursewareManager'
	classVariableNames: 'Database'
	poolDictionaries: ''
	category: 'OCMSTest-Database'!

!CoursewaresTest methodsFor: 'initialize-release' stamp: 'has 6/2/2013 14:34'!
setUp
	| tag tagList |
	OCMSDB root at: 'coursewares' ifAbsentPut: [OrderedCollection new].
	Database := Coursewares database.
	tag := Tag new.
	tag name: 'Tag test'.
	tagList := OrderedCollection new.
	tagList add: tag.
	coursewareManager := CoursewareManager new.
	coursewareManager includeCourseware: 'CoursewareTest'
						withDescription: 'Description of courseware' 
						withSummary: 'A summary' 
						withCoursewareType: #Code
						withReference: 'a reference' 
						withOwner: 'an user owner' 
						withTag: tagList
						withCourse: 'Discipline' 
						withAuthor: 'Author' 
						withCataloguingData: 'catalog' 
						withLicense: 'License Type'
						withSize: '10 kB' 
						withFile: 'aFile'.! !

!CoursewaresTest methodsFor: 'initialize-release' stamp: 'has 6/2/2013 14:42'!
tearDown
	OCMSDB session release.! !

!CoursewaresTest methodsFor: 'testing' stamp: 'has 6/2/2013 18:02'!
testAsCoursewaresAdd
	Database add: coursewareManager courseware.
	self assert: (Database select:[:each | each title = 'CoursewareTest']) size > 1.
	"self assert: (Database select:[:each | each yourself = coursewareManager courseware]) size = 1"! !
